Failover Cluster Manager Get Vcha Cluster Health

Failover Cluster Manager Get Vcha Cluster Health
Returns last known health of the VCHA Cluster.

Returns last known health of the VCHA Cluster.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/FailoverClusterManager/{moId}/GetVchaClusterHealth
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case FailoverClusterManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VchaClusterHealth of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "runtimeInfo": {
        "_typeName": "string",
        "clusterState": "string",
        "nodeInfo": [
            {
                "_typeName": "string",
                "nodeState": "string",
                "nodeRole": "string",
                "nodeIp": "string"
            }
        ],
        "clusterMode": "string"
    },
    "healthMessages": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "additionalInformation": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
runtimeInfo
Required

Runtime information of the VCHA Cluster

array of object
healthMessages
Optional

A collection of Messages describing the reason for a non-healthy Cluster.

array of object
additionalInformation
Optional

A collection of additional information regarding the health messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/FailoverClusterManager/{moId}/GetVchaClusterHealth